move to c++11

always build in C++11 mode. No more compatible with C++03 enabled  ndn-cxx

Change-Id: Ic1c438c57f289e127b4d08b74b4687236ba6d71d
diff --git a/.jenkins.d/20-ndns.sh b/.jenkins.d/20-ndns.sh
index 5f3f458..ee128f5 100755
--- a/.jenkins.d/20-ndns.sh
+++ b/.jenkins.d/20-ndns.sh
@@ -1,5 +1,6 @@
 #!/usr/bin/env bash
 set -x
+set -e
 
 ./waf distclean --color=yes
 ./waf configure --debug --with-tests --color=yes